%% Rotation, Translation, animation 
close all; clear all; clc;

trplot([1 0 0;0 1 0;0 0 1]) % this is to plot the basic frame before transformation

R=transl(1, 0 , 0) * trotx(pi/2) * transl(0, 1 , 0); % this is to apply transformation

hold on
trplot(R)               % This is to plot the new frame after transformation
axis([-2 2 -2 2 -2 2])
tranimate(R)        % this is to animate the frame from basic frame to transformed frame

rr=t2r(R)               % This is to obtain the rotation component of the transformation
ll=transl(R)            % this is to obtain the translation component of the transformation

