%% RPR Robot
close all; clear all; clc;

L(1)=Link([0, 0.1, 0.2, pi/2]);  % input parameter should be always in the order (theta, d, a , alpha)
L(2)=Prismatic('theta', pi/6, 'a', 0.2, 'alpha', pi/7);
L(3)=Link([0, 0.2, 0.1, pi/3]);  % input parameter should be always in the order (theta, d, a , alpha)
L(2).qlim=[0.1 0.8];                % this is to set the limits of the prismatic joint
L(2).type;                              % returns the robot type (Revolute or Prismatic)

%L(3).A(pi/2);                          % returns homogenous transformation matrix given that (theta =pi/2)
qi= [pi/2 0.6 pi/3];
Robo=SerialLink(L, 'name', 'Robo')
T=Robo.fkine(qi)
Robo.plot(qi)