%% This is to demonstrate the Special eucleadian representation

clear all, close all; clc;

T1=SE2(1,2,30*pi/180);
trplot2(T1,'frame','1', 'color', 'b') % plots a planar transformation
grid 
axis([0 5 0 5])
hold on

T2=SE2(2,1 , 0);
T3=T1*T2;
T4= T2*T1;

trplot2(T2,'frame','2', 'color', 'r')
trplot2(T3,'frame','3', 'color', 'g')
trplot2(T4,'frame','4', 'color', 'c')
